### Method

# Fwupd Device get_icons

since: 0.9.8

#### Declaration [src]

    GPtrArray*
    fwupd_device_get_icons (
      FwupdDevice* self
    )

#### Description [src]

Gets the icon names to use for the device.

NOTE: Icons specified without a full path are stock icons and should be loaded from the users icon theme.

Available since: 0.9.8

#### Return value

Type: An array of `utf8`

An array of icon names.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.